Get Transcription Translation
Get paragraph-level translation status and translated segments for a transcription
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
transcription_id
ID of the transcription.
target_mode
Translation target mode. Use auto, en, or he.
Query parameters
translation_style
Translation style id. Built-ins include learning_english and sefer_hebrew; saved user guides use custom:<style_id>.
Response
This endpoint returns an object.
transcription_id
ID of the source transcription.
target_mode
Translation target mode.
translation_style
Translation style id.
status
Overall translation status.
completed_segments
Number of successfully translated segments.
failed_segments
Number of failed segments.
segments
Paragraph-level translated segments.
model
Model used for translation.
total_segments
Total paragraph segments in the translation job.
created_at
When the translation job was created.
updated_at
When the translation job was last updated.
error
Overall job error, if any.
Errors
401
Authentication Error
404
Transcription Not Found
429
Rate Limit Error
